package com.tiesheng.migration.config;


import cn.hutool.core.collection.CollUtil;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * 数据库表版本对比
 *
 * @author hao
 */
@Configuration
@ConfigurationProperties(prefix = "tiesheng.db-migration")
public class DbMigrationConfig {

    private String table = "ts_db_migration";
    private List<String> locations = CollUtil.newArrayList("classpath:db/migration/*.sql");
    private String ignoreSqls = "drop,delete";

    ///////////////////////////////////////////////////////////////////////////
    // setter\getter
    ///////////////////////////////////////////////////////////////////////////

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public List<String> getLocations() {
        return locations;
    }

    public void setLocations(List<String> locations) {
        this.locations = locations;
    }

    public String getIgnoreSqls() {
        return ignoreSqls;
    }

    public void setIgnoreSqls(String ignoreSqls) {
        this.ignoreSqls = ignoreSqls;
    }
}
